<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 18/09/2019 - Created.
 -->
<!-- VTT WOA Start Work Popup -->
<template>

	<section role="dialog"
			 tabindex="-1"
			 aria-labelledby="modal-heading-01"
			 aria-modal="true"
			 aria-describedby="modal-content-id-1"
			 class="slds-modal slds-fade-in-open">
		<div class="slds-modal__container">

			<header class="slds-modal__header">
				<button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse"
						onclick={close}
						if:false={loading}
						title="Close">
					<lightning-icon icon-name="utility:close"
									size="small"></lightning-icon>
					<span class="slds-assistive-text">
						Close
					</span>
				</button>
				<h2 id="modal-heading-01"
					class="slds-text-heading_medium slds-hyphenate">
					Start Work
				</h2>
			</header>
			<div class="slds-modal__content slds-p-around_medium slds-is-relative"
				 id="modal-content-id-1">

				<lightning-spinner if:true={loading}
								   size="medium"
								   alternative-text="Loading..."
								   variant="brand"></lightning-spinner>
				<p>
					Are you sure you want to start work?
				</p>
			</div>
			<footer class="slds-modal__footer">
				<lightning-button-group >
					<lightning-button label="No"
									  variant="destructive"
									  disabled={loading}
									  onclick={close}></lightning-button>
					<lightning-button label="Yes"
									  variant="success"
									  disabled={loading}
									  onclick={save}></lightning-button>
				</lightning-button-group>
			</footer>
		</div>
	</section>
	<div class="slds-backdrop slds-backdrop_open"></div>

</template>